//--------------------------------------------------------------------------//
// iq . 2003 . code for the Paradise 64 kb intro by RGBA                    //
//--------------------------------------------------------------------------//

#ifdef WINDOWS
#define WIN32_LEAN_AND_MEAN
#define WIN32_EXTRA_LEAN
#include <windows.h>
#endif
#include <GL/gl.h>
#include "glext.h"
#ifdef LINUX
#include <GL/glx.h>
#endif
#ifdef IRIX
#include <GL/glx.h>
#endif

//--- d a t a ---------------------------------------------------------------

#include "ext.h"

static char *strs[NUMFUNCIONES] = {
    "glCreateProgram",
    "glCreateShader",
    "glShaderSource",
    "glCompileShader",
    "glAttachShader",
    "glLinkProgram",
    "glUseProgram",
    "glUniform4fv",
    "glUniform1i",
    "glGetUniformLocation",
    //--
    "glBindRenderbufferEXT",
    "glRenderbufferStorageEXT",
    "glBindFramebufferEXT",
    "glFramebufferTexture2DEXT",
    "glFramebufferRenderbufferEXT",
    //--
    "glActiveTexture",
    //--
    #ifdef DEBUG
    "glGetObjectParameterivARB",
    "glGetInfoLogARB",
    "glCheckFramebufferStatusEXT"
    #endif
    };

void *myglfunc[NUMFUNCIONES];

int EXT_Init( void )
{
    for( int i=0; i<NUMFUNCIONES; i++ )
    {
        myglfunc[i] = wglGetProcAddress( strs[i] );
        if( !myglfunc[i] )
            return( 0 );
    }

    return( 1 );
}


